package com.kingdee.eas.custom.dormitorysystem.application.handler;

import com.kingdee.bos.Context;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.eas.basedata.org.HROrgUnitInfo;
import com.kingdee.eas.custom.dormitorysystem.application.CheckInApplicationEntryInfo;
import com.kingdee.eas.custom.dormitorysystem.application.CheckoutApplicationEntryInfo;
import com.kingdee.eas.custom.dormitorysystem.application.CheckoutApplicationInfo;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;
import com.kingdee.util.DateTimeUtils;
import org.apache.log4j.Logger;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @Description 뵥Handler
 * @Date 2025/4/24 13:48
 * @Created by Heyuan
 */
public class CheckoutApplicationEditHandler extends DormitoryApplicationEditHandler {
    private static Logger logger = Logger.getLogger(CheckoutApplicationEditHandler.class);

    /**
     * ÷
     *
     * @param request
     * @param response
     * @param coreBaseInfo
     * @throws SHRWebException
     */
    protected void afterCreateNewModel(
            HttpServletRequest request,
            HttpServletResponse response,
            CoreBaseInfo coreBaseInfo
    ) throws SHRWebException {
        try {
            Context ctx = SHRContext.getInstance().getContext();
            CheckoutApplicationInfo checkoutApplicationInfo = (CheckoutApplicationInfo) coreBaseInfo;
            HROrgUnitInfo hrOrgUnitInfo = new HROrgUnitInfo();
            hrOrgUnitInfo.setId(BOSUuid.read("00000000-0000-0000-0000-000000000000CCE7AED4"));
            checkoutApplicationInfo.setHrOrgUnit(hrOrgUnitInfo);
//            checkoutApplicationInfo.setManagementNotes("Ը" +
//                    "\n1Ծع˾ƶȡԱйع취˽Եʹλ" +
//                    "\n2Ծάṫ𻵹Ծ⳥ 3ԾȫԼõˮ" +
//                    "\n3ԾȫԼõˮ");
            //¼
            CheckoutApplicationEntryInfo entryInfo = new CheckoutApplicationEntryInfo();
            entryInfo.setCheckoutDate(DateTimeUtils.parseDate("2199-12-31", "yyyy-MM-dd"));
            checkoutApplicationInfo.getEntrys().add(entryInfo);
        } catch (Exception e) {
            logger.error(e);
            throw new ShrWebBizException(e);
        }
    }
}
